package com.xydl.demo.model;

import com.xydl.demo.entity.NiecPoint;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class SensorDetail {
    @ApiModelProperty("点表配置")
    private List<NiecPoint> points;
    @ApiModelProperty("数据")
    private List<Map<String, Object>> content;
    @ApiModelProperty("总数量")
    private Long total;
    @ApiModelProperty("页码")
    Integer pageNum;
    @ApiModelProperty("每页数量")
    Integer pageSize;
}
